For the complete documentation index, see llms.txt. This page is also available as Markdown.

Ensure Cluster

Ensures that the Cluster with the provided ID is created or modified. The full Cluster needs to be provided to ensure (either update or create) the Cluster. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

put
/clusters/{clusterId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Body
idstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
metadataanyOptional

Metadata

Responses
201

Cluster successfully ensured.

application/json
idstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Cluster.

Example: /clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead
put/clusters/{clusterId}
PUT /v2/clusters/{clusterId} HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 873

{
  "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "metadata": {},
  "properties": {
    "name": "my-cluster",
    "description": "Production cache cluster for the CMS platform.",
    "version": "9.0",
    "instances": {
      "count": 1,
      "cores": 4,
      "ram": 8
    },
    "connection": {
      "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
      "lanId": "2",
      "primaryInstanceAddress": "192.168.2.101/24"
    },
    "persistenceMode": "RDB",
    "evictionPolicy": "allkeys-lru",
    "snapshot": {
      "location": "eu-central-3",
      "retentionDays": 14,
      "snapshotHours": [
        0,
        6,
        12,
        18
      ]
    },
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    },
    "credentials": {
      "username": "cache_admin",
      "password": {
        "algorithm": "SHA-256",
        "hash": "5e884898da28047151d0e56f8dc6292773603d0d6aabbdd62a11ef721d1542d8"
      }
    },
    "restoreFromSnapshot": {
      "sourceSnapshotId": "a8784665-3d99-5464-af32-30a2967f58e7",
      "recoveryTargetDatetime": "2020-12-10T13:37:50+01:00"
    },
    "logsEnabled": false,
    "metricsEnabled": false
  }
}
{
  "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "type": "cluster",
  "href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "statusMessage": "Provisioning failed: insufficient quota.",
    "dnsName": "59348c25-2d4b-4870-a5b6-33c48fce1c58.in-memory-db.de-txl.ionos.com"
  },
  "properties": {
    "name": "my-cluster",
    "description": "Production cache cluster for the CMS platform.",
    "version": "9.0",
    "instances": {
      "count": 1,
      "cores": 4,
      "ram": 8
    },
    "connection": {
      "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
      "lanId": "2",
      "primaryInstanceAddress": "192.168.2.101/24"
    },
    "persistenceMode": "RDB",
    "evictionPolicy": "allkeys-lru",
    "snapshot": {
      "location": "eu-central-3",
      "retentionDays": 14,
      "snapshotHours": [
        0,
        6,
        12,
        18
      ]
    },
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    },
    "credentials": {
      "username": "cache_admin"
    },
    "logsEnabled": false,
    "metricsEnabled": false
  }
}

Last updated

Was this helpful?